commerce
POST /v1/orders/{orderId}/paypal/capture
Capture a PayPal order the buyer completed.
ການພິສູດຕົວຕົນ
ສົ່ງ API key ເປັນ bearer token. ຈຸດເຊື່ອມຕໍ່ (endpoint) ນີ້ບໍ່ໄດ້ລະບຸສິດອະນຸຍາດສະເພາະໃດໜຶ່ງໃນຂໍ້ກຳນົດ, ດັ່ງນັ້ນຈຶ່ງຄວນໃຫ້ສິດ key ຂອງທ່ານເທົ່າທີ່ຈຳເປັນໜ້ອຍທີ່ສຸດ ແລະ ກວດສອບການຕອບກັບ ໂດຍບໍ່ຄວນທາດເດົາເອົາເອງ.
ຈຸດເຊື່ອມຕໍ່ນີ້ບໍ່ໄດ້ຮັບ ID ອົງກອນ. ລະຫັດຂອງທ່ານໄດ້ລະບຸອົງກອນທີ່ມັນຂຶ້ນກັບແລ້ວ, ແລະ ຄໍາຕອບແມ່ນຖືກຈໍາກັດຂອບເຂດໄວ້ສໍາລັບອົງກອນນັ້ນ.
ລອງໃຊ້ເບິ່ງ
ປ່ຽນແທນທຸກຢ່າງທີ່ຢູ່ໃນວົງເລັບມຸມດ້ວຍຄ່າຂອງທ່ານເອງ, ແລະ ປ່ຽນແທນຕົວແທນບ່ອນວ່າງຄີດ້ວຍຄີຈາກແຜງຄວບຄຸມຂອງທ່ານ.
curl -X POST https://api.zinndigital.com/v1/orders/{orderId}/paypal/capture \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "paypal_order_id": <string> }'ເຂົ້າສູ່ລະບົບແລ້ວບໍ? ໂຄງສົນທະນາ API ໃນໜ້າັດສະຫຼອງຂອງທ່ານຈະຕື່ມຂໍ້ມູນລະຫັດອົງກອນຕົວຈິງ ແລະ ລະຫັດລັບສ່ວນຕົວຂອງທ່ານໂດຍອັດຕະໂນມັດ, ແລະ ປະຕິບັດການຮ້ອງຂໍຜ່ານ API ຕົວຈິງ ເພື່ອໃຫ້ທ່ານສາມາດເຫັນຜົນຕອບຮັບທີ່ແທ້ຈິງໄດ້. ເປີດຈຸດສິ້ນສຸດນີ້ໃນຄອນໂສລ API
ລາຍລະອຽດ
Settles the order against a PayPal order the buyer has approved (wallet) or paid by card (including any 3-D Secure step). ⛔ **The browser is not believed.** It reports that the buyer finished; only PayPal's capture response says money moved, and only the engine writes a payment. Posting an invented `paypal_order_id` produces a gateway error, never a paid order. A **declined card answers 200** with the order `payment_failed`, for the same reason `payOrder` does — the attempt was processed exactly as asked.
ພາຣາມິເຕີ
| ຊື່ | ປະເພດ | ຕ້ອງການ | ສິ່ງທີ່ມັນເປັນ |
|---|---|---|---|
orderId (path) | Uuid | ແມ່ນແລ້ວ | The order's id. |
ເນື້ອຫາຂອງຄຳຮ້ອງ
| ຊື່ | ປະເພດ | ຕ້ອງການ | ສິ່ງທີ່ມັນເປັນ |
|---|---|---|---|
paypal_order_id | string | ແມ່ນແລ້ວ | The id returned by `openPayPalOrder` and completed in the browser. |
ຖືກໂຈະ
| ຊື່ | ປະເພດ | ຕ້ອງການ | ສິ່ງທີ່ມັນເປັນ |
|---|---|---|---|
id | Uuid | ແມ່ນແລ້ວ | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
org_id | Uuid | ແມ່ນແລ້ວ | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
human_ref | string | ແມ່ນແລ້ວ | Human-friendly order reference. |
status | OrderStatus | ແມ່ນແລ້ວ | An order's lifecycle state (docs/31 §4.3). |
currency | CurrencyCode | ແມ່ນແລ້ວ | ISO 4217 currency code (money is minor units + this code — CLAUDE.md §2.8). |
subtotal_minor | integer | ແມ່ນແລ້ວ | — |
tax_minor | integer | ແມ່ນແລ້ວ | — |
discount_minor | integer | ແມ່ນແລ້ວ | — |
total_minor | integer | ແມ່ນແລ້ວ | — |
billing_country | object | ບໍ່ | — |
placed_at | object | ບໍ່ | — |
created_at | string | ແມ່ນແລ້ວ | — |
updated_at | string | ບໍ່ | — |
lines | OrderLine[] | ແມ່ນແລ້ວ | — |
payments | Payment[] | ແມ່ນແລ້ວ | — |
ຂໍ້ຜິດພາດທີ່ຈຸດເຊື່ອມຕໍ່ນີ້ສາມາດສົ່ງຄືນໄດ້
401 · 403 · 404 · 422 · 429 · 503